Subject: sort command in Fedora10

From: "Vito Di Blas" <[email-masked]>
Date: Thu, 22 Apr 2010 23:34:07 +0200

Dear  Friends, in Linux Fedora10,  I sort the file aaa.txt :

Cari figliozzi
Cari figlipucci
Cari figli, oggi
Cari figli, ieri
Cari figli, domani
Cari figli, pregate
Cari figlioli

with the command:

<...>    sort  < aaa.txt  >  bbb.txt

and I obtain the  file bbb.txt

Cari figli, domani
Cari figli, ieri
Cari figli, oggi
Cari figlioli
Cari figliozzi
Cari figli, pregate
Cari figlipucci

which doesn't look sorted according to my expectation.
Then, in WindowsXP, I sort again the file aaa.txt with the command:

<...>    sort  aaa.txt  > ccc.txt

and I get the file ccc.txt :

Cari figli, domani
Cari figli, ieri
Cari figli, oggi
Cari figli, pregate
Cari figlioli
Cari figliozzi
Cari figlipucci

which looks sorted as expected.
Should  I  use in Fedora some sort option or I met a bug?
Thanks for your attention and best regards

Vito Di Blas   Ivrea  Italy
[email-masked]